[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Manual Requires: behaviour changed? was :Broken dependencies in Fedora Extras - 2007-02-01 (fwd)



I received an email with:

> package: hping3 - 0.0.20051105-5.fc7.i386 from fedora-extras-development-i386
>   unresolved deps:
>      libtcl8.4.so

This has never before been an issue. In fact, according to the guidelines at

http://fedoraproject.org/wiki/Packaging/Guidelines#Requires

I am not supposed to manually add libraries, as rpm should pick them up per default.
Hence, my package only includes a BuildRequires: tcl-devel and not a Requires: tcl.

Did this behaviour change, or is the above script hit a false positive?

Paul


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]